Subject: git commit --cleanup and templates

From: Sebastian Schuberth <[email-masked]>
Date: Wed, 20 Jan 2010 17:37:47 +0100

Hi,

when I recently for the first time used commit templates, I was 
surprised to see that git by default strips leading empty lines that I 
deliberately added to the template file when opening the template in the 
editor. I understand that I could use a different cleanup mode, but in 
fact I *want* git to clean everything, but only *after* I finished 
editing the commit message, not already when opening the editor.

Before submitting a patch, I'd like to hear what other people think 
about this, or whether I'm overseeing something.

Thanks.

-- 
Sebastian Schuberth